Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network22.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
22.0.0.0
Broadcast address
22.127.255.255
First usable
22.0.0.1
Last usable
22.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 16000000 · Integer 369098752 to 377487359
Reverse DNS zones
0.22.in-addr.arpa
1.22.in-addr.arpa
2.22.in-addr.arpa
3.22.in-addr.arpa
4.22.in-addr.arpa
5.22.in-addr.arpa
6.22.in-addr.arpa
7.22.in-addr.arpa
8.22.in-addr.arpa
9.22.in-addr.arpa
10.22.in-addr.arpa
11.22.in-addr.arpa
12.22.in-addr.arpa
13.22.in-addr.arpa
14.22.in-addr.arpa
15.22.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010110.00000000.00000000.0000000022.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00010110.00000000.00000000.0000000022.0.0.0
Broadcast00010110.01111111.11111111.1111111122.127.255.255
Split into smaller subnets/21

22.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
122.0.0.0/2122.0.0.1 to 22.0.7.25422.0.7.2552,046
222.0.8.0/2122.0.8.1 to 22.0.15.25422.0.15.2552,046
322.0.16.0/2122.0.16.1 to 22.0.23.25422.0.23.2552,046
422.0.24.0/2122.0.24.1 to 22.0.31.25422.0.31.2552,046
522.0.32.0/2122.0.32.1 to 22.0.39.25422.0.39.2552,046
622.0.40.0/2122.0.40.1 to 22.0.47.25422.0.47.2552,046
722.0.48.0/2122.0.48.1 to 22.0.55.25422.0.55.2552,046
822.0.56.0/2122.0.56.1 to 22.0.63.25422.0.63.2552,046
922.0.64.0/2122.0.64.1 to 22.0.71.25422.0.71.2552,046
1022.0.72.0/2122.0.72.1 to 22.0.79.25422.0.79.2552,046
1122.0.80.0/2122.0.80.1 to 22.0.87.25422.0.87.2552,046
1222.0.88.0/2122.0.88.1 to 22.0.95.25422.0.95.2552,046
1322.0.96.0/2122.0.96.1 to 22.0.103.25422.0.103.2552,046
1422.0.104.0/2122.0.104.1 to 22.0.111.25422.0.111.2552,046
1522.0.112.0/2122.0.112.1 to 22.0.119.25422.0.119.2552,046
1622.0.120.0/2122.0.120.1 to 22.0.127.25422.0.127.2552,046
1722.0.128.0/2122.0.128.1 to 22.0.135.25422.0.135.2552,046
1822.0.136.0/2122.0.136.1 to 22.0.143.25422.0.143.2552,046
1922.0.144.0/2122.0.144.1 to 22.0.151.25422.0.151.2552,046
2022.0.152.0/2122.0.152.1 to 22.0.159.25422.0.159.2552,046
2122.0.160.0/2122.0.160.1 to 22.0.167.25422.0.167.2552,046
2222.0.168.0/2122.0.168.1 to 22.0.175.25422.0.175.2552,046
2322.0.176.0/2122.0.176.1 to 22.0.183.25422.0.183.2552,046
2422.0.184.0/2122.0.184.1 to 22.0.191.25422.0.191.2552,046
2522.0.192.0/2122.0.192.1 to 22.0.199.25422.0.199.2552,046
2622.0.200.0/2122.0.200.1 to 22.0.207.25422.0.207.2552,046
2722.0.208.0/2122.0.208.1 to 22.0.215.25422.0.215.2552,046
2822.0.216.0/2122.0.216.1 to 22.0.223.25422.0.223.2552,046
2922.0.224.0/2122.0.224.1 to 22.0.231.25422.0.231.2552,046
3022.0.232.0/2122.0.232.1 to 22.0.239.25422.0.239.2552,046
3122.0.240.0/2122.0.240.1 to 22.0.247.25422.0.247.2552,046
3222.0.248.0/2122.0.248.1 to 22.0.255.25422.0.255.2552,046
3322.1.0.0/2122.1.0.1 to 22.1.7.25422.1.7.2552,046
3422.1.8.0/2122.1.8.1 to 22.1.15.25422.1.15.2552,046
3522.1.16.0/2122.1.16.1 to 22.1.23.25422.1.23.2552,046
3622.1.24.0/2122.1.24.1 to 22.1.31.25422.1.31.2552,046
3722.1.32.0/2122.1.32.1 to 22.1.39.25422.1.39.2552,046
3822.1.40.0/2122.1.40.1 to 22.1.47.25422.1.47.2552,046
3922.1.48.0/2122.1.48.1 to 22.1.55.25422.1.55.2552,046
4022.1.56.0/2122.1.56.1 to 22.1.63.25422.1.63.2552,046
4122.1.64.0/2122.1.64.1 to 22.1.71.25422.1.71.2552,046
4222.1.72.0/2122.1.72.1 to 22.1.79.25422.1.79.2552,046
4322.1.80.0/2122.1.80.1 to 22.1.87.25422.1.87.2552,046
4422.1.88.0/2122.1.88.1 to 22.1.95.25422.1.95.2552,046
4522.1.96.0/2122.1.96.1 to 22.1.103.25422.1.103.2552,046
4622.1.104.0/2122.1.104.1 to 22.1.111.25422.1.111.2552,046
4722.1.112.0/2122.1.112.1 to 22.1.119.25422.1.119.2552,046
4822.1.120.0/2122.1.120.1 to 22.1.127.25422.1.127.2552,046
4922.1.128.0/2122.1.128.1 to 22.1.135.25422.1.135.2552,046
5022.1.136.0/2122.1.136.1 to 22.1.143.25422.1.143.2552,046
5122.1.144.0/2122.1.144.1 to 22.1.151.25422.1.151.2552,046
5222.1.152.0/2122.1.152.1 to 22.1.159.25422.1.159.2552,046
5322.1.160.0/2122.1.160.1 to 22.1.167.25422.1.167.2552,046
5422.1.168.0/2122.1.168.1 to 22.1.175.25422.1.175.2552,046
5522.1.176.0/2122.1.176.1 to 22.1.183.25422.1.183.2552,046
5622.1.184.0/2122.1.184.1 to 22.1.191.25422.1.191.2552,046
5722.1.192.0/2122.1.192.1 to 22.1.199.25422.1.199.2552,046
5822.1.200.0/2122.1.200.1 to 22.1.207.25422.1.207.2552,046
5922.1.208.0/2122.1.208.1 to 22.1.215.25422.1.215.2552,046
6022.1.216.0/2122.1.216.1 to 22.1.223.25422.1.223.2552,046
6122.1.224.0/2122.1.224.1 to 22.1.231.25422.1.231.2552,046
6222.1.232.0/2122.1.232.1 to 22.1.239.25422.1.239.2552,046
6322.1.240.0/2122.1.240.1 to 22.1.247.25422.1.247.2552,046
6422.1.248.0/2122.1.248.1 to 22.1.255.25422.1.255.2552,046
6522.2.0.0/2122.2.0.1 to 22.2.7.25422.2.7.2552,046
6622.2.8.0/2122.2.8.1 to 22.2.15.25422.2.15.2552,046
6722.2.16.0/2122.2.16.1 to 22.2.23.25422.2.23.2552,046
6822.2.24.0/2122.2.24.1 to 22.2.31.25422.2.31.2552,046
6922.2.32.0/2122.2.32.1 to 22.2.39.25422.2.39.2552,046
7022.2.40.0/2122.2.40.1 to 22.2.47.25422.2.47.2552,046
7122.2.48.0/2122.2.48.1 to 22.2.55.25422.2.55.2552,046
7222.2.56.0/2122.2.56.1 to 22.2.63.25422.2.63.2552,046
7322.2.64.0/2122.2.64.1 to 22.2.71.25422.2.71.2552,046
7422.2.72.0/2122.2.72.1 to 22.2.79.25422.2.79.2552,046
7522.2.80.0/2122.2.80.1 to 22.2.87.25422.2.87.2552,046
7622.2.88.0/2122.2.88.1 to 22.2.95.25422.2.95.2552,046
7722.2.96.0/2122.2.96.1 to 22.2.103.25422.2.103.2552,046
7822.2.104.0/2122.2.104.1 to 22.2.111.25422.2.111.2552,046
7922.2.112.0/2122.2.112.1 to 22.2.119.25422.2.119.2552,046
8022.2.120.0/2122.2.120.1 to 22.2.127.25422.2.127.2552,046
8122.2.128.0/2122.2.128.1 to 22.2.135.25422.2.135.2552,046
8222.2.136.0/2122.2.136.1 to 22.2.143.25422.2.143.2552,046
8322.2.144.0/2122.2.144.1 to 22.2.151.25422.2.151.2552,046
8422.2.152.0/2122.2.152.1 to 22.2.159.25422.2.159.2552,046
8522.2.160.0/2122.2.160.1 to 22.2.167.25422.2.167.2552,046
8622.2.168.0/2122.2.168.1 to 22.2.175.25422.2.175.2552,046
8722.2.176.0/2122.2.176.1 to 22.2.183.25422.2.183.2552,046
8822.2.184.0/2122.2.184.1 to 22.2.191.25422.2.191.2552,046
8922.2.192.0/2122.2.192.1 to 22.2.199.25422.2.199.2552,046
9022.2.200.0/2122.2.200.1 to 22.2.207.25422.2.207.2552,046
9122.2.208.0/2122.2.208.1 to 22.2.215.25422.2.215.2552,046
9222.2.216.0/2122.2.216.1 to 22.2.223.25422.2.223.2552,046
9322.2.224.0/2122.2.224.1 to 22.2.231.25422.2.231.2552,046
9422.2.232.0/2122.2.232.1 to 22.2.239.25422.2.239.2552,046
9522.2.240.0/2122.2.240.1 to 22.2.247.25422.2.247.2552,046
9622.2.248.0/2122.2.248.1 to 22.2.255.25422.2.255.2552,046
9722.3.0.0/2122.3.0.1 to 22.3.7.25422.3.7.2552,046
9822.3.8.0/2122.3.8.1 to 22.3.15.25422.3.15.2552,046
9922.3.16.0/2122.3.16.1 to 22.3.23.25422.3.23.2552,046
10022.3.24.0/2122.3.24.1 to 22.3.31.25422.3.31.2552,046
10122.3.32.0/2122.3.32.1 to 22.3.39.25422.3.39.2552,046
10222.3.40.0/2122.3.40.1 to 22.3.47.25422.3.47.2552,046
10322.3.48.0/2122.3.48.1 to 22.3.55.25422.3.55.2552,046
10422.3.56.0/2122.3.56.1 to 22.3.63.25422.3.63.2552,046
10522.3.64.0/2122.3.64.1 to 22.3.71.25422.3.71.2552,046
10622.3.72.0/2122.3.72.1 to 22.3.79.25422.3.79.2552,046
10722.3.80.0/2122.3.80.1 to 22.3.87.25422.3.87.2552,046
10822.3.88.0/2122.3.88.1 to 22.3.95.25422.3.95.2552,046
10922.3.96.0/2122.3.96.1 to 22.3.103.25422.3.103.2552,046
11022.3.104.0/2122.3.104.1 to 22.3.111.25422.3.111.2552,046
11122.3.112.0/2122.3.112.1 to 22.3.119.25422.3.119.2552,046
11222.3.120.0/2122.3.120.1 to 22.3.127.25422.3.127.2552,046
11322.3.128.0/2122.3.128.1 to 22.3.135.25422.3.135.2552,046
11422.3.136.0/2122.3.136.1 to 22.3.143.25422.3.143.2552,046
11522.3.144.0/2122.3.144.1 to 22.3.151.25422.3.151.2552,046
11622.3.152.0/2122.3.152.1 to 22.3.159.25422.3.159.2552,046
11722.3.160.0/2122.3.160.1 to 22.3.167.25422.3.167.2552,046
11822.3.168.0/2122.3.168.1 to 22.3.175.25422.3.175.2552,046
11922.3.176.0/2122.3.176.1 to 22.3.183.25422.3.183.2552,046
12022.3.184.0/2122.3.184.1 to 22.3.191.25422.3.191.2552,046
12122.3.192.0/2122.3.192.1 to 22.3.199.25422.3.199.2552,046
12222.3.200.0/2122.3.200.1 to 22.3.207.25422.3.207.2552,046
12322.3.208.0/2122.3.208.1 to 22.3.215.25422.3.215.2552,046
12422.3.216.0/2122.3.216.1 to 22.3.223.25422.3.223.2552,046
12522.3.224.0/2122.3.224.1 to 22.3.231.25422.3.231.2552,046
12622.3.232.0/2122.3.232.1 to 22.3.239.25422.3.239.2552,046
12722.3.240.0/2122.3.240.1 to 22.3.247.25422.3.247.2552,046
12822.3.248.0/2122.3.248.1 to 22.3.255.25422.3.255.2552,046
12922.4.0.0/2122.4.0.1 to 22.4.7.25422.4.7.2552,046
13022.4.8.0/2122.4.8.1 to 22.4.15.25422.4.15.2552,046
13122.4.16.0/2122.4.16.1 to 22.4.23.25422.4.23.2552,046
13222.4.24.0/2122.4.24.1 to 22.4.31.25422.4.31.2552,046
13322.4.32.0/2122.4.32.1 to 22.4.39.25422.4.39.2552,046
13422.4.40.0/2122.4.40.1 to 22.4.47.25422.4.47.2552,046
13522.4.48.0/2122.4.48.1 to 22.4.55.25422.4.55.2552,046
13622.4.56.0/2122.4.56.1 to 22.4.63.25422.4.63.2552,046
13722.4.64.0/2122.4.64.1 to 22.4.71.25422.4.71.2552,046
13822.4.72.0/2122.4.72.1 to 22.4.79.25422.4.79.2552,046
13922.4.80.0/2122.4.80.1 to 22.4.87.25422.4.87.2552,046
14022.4.88.0/2122.4.88.1 to 22.4.95.25422.4.95.2552,046
14122.4.96.0/2122.4.96.1 to 22.4.103.25422.4.103.2552,046
14222.4.104.0/2122.4.104.1 to 22.4.111.25422.4.111.2552,046
14322.4.112.0/2122.4.112.1 to 22.4.119.25422.4.119.2552,046
14422.4.120.0/2122.4.120.1 to 22.4.127.25422.4.127.2552,046
14522.4.128.0/2122.4.128.1 to 22.4.135.25422.4.135.2552,046
14622.4.136.0/2122.4.136.1 to 22.4.143.25422.4.143.2552,046
14722.4.144.0/2122.4.144.1 to 22.4.151.25422.4.151.2552,046
14822.4.152.0/2122.4.152.1 to 22.4.159.25422.4.159.2552,046
14922.4.160.0/2122.4.160.1 to 22.4.167.25422.4.167.2552,046
15022.4.168.0/2122.4.168.1 to 22.4.175.25422.4.175.2552,046
15122.4.176.0/2122.4.176.1 to 22.4.183.25422.4.183.2552,046
15222.4.184.0/2122.4.184.1 to 22.4.191.25422.4.191.2552,046
15322.4.192.0/2122.4.192.1 to 22.4.199.25422.4.199.2552,046
15422.4.200.0/2122.4.200.1 to 22.4.207.25422.4.207.2552,046
15522.4.208.0/2122.4.208.1 to 22.4.215.25422.4.215.2552,046
15622.4.216.0/2122.4.216.1 to 22.4.223.25422.4.223.2552,046
15722.4.224.0/2122.4.224.1 to 22.4.231.25422.4.231.2552,046
15822.4.232.0/2122.4.232.1 to 22.4.239.25422.4.239.2552,046
15922.4.240.0/2122.4.240.1 to 22.4.247.25422.4.247.2552,046
16022.4.248.0/2122.4.248.1 to 22.4.255.25422.4.255.2552,046
16122.5.0.0/2122.5.0.1 to 22.5.7.25422.5.7.2552,046
16222.5.8.0/2122.5.8.1 to 22.5.15.25422.5.15.2552,046
16322.5.16.0/2122.5.16.1 to 22.5.23.25422.5.23.2552,046
16422.5.24.0/2122.5.24.1 to 22.5.31.25422.5.31.2552,046
16522.5.32.0/2122.5.32.1 to 22.5.39.25422.5.39.2552,046
16622.5.40.0/2122.5.40.1 to 22.5.47.25422.5.47.2552,046
16722.5.48.0/2122.5.48.1 to 22.5.55.25422.5.55.2552,046
16822.5.56.0/2122.5.56.1 to 22.5.63.25422.5.63.2552,046
16922.5.64.0/2122.5.64.1 to 22.5.71.25422.5.71.2552,046
17022.5.72.0/2122.5.72.1 to 22.5.79.25422.5.79.2552,046
17122.5.80.0/2122.5.80.1 to 22.5.87.25422.5.87.2552,046
17222.5.88.0/2122.5.88.1 to 22.5.95.25422.5.95.2552,046
17322.5.96.0/2122.5.96.1 to 22.5.103.25422.5.103.2552,046
17422.5.104.0/2122.5.104.1 to 22.5.111.25422.5.111.2552,046
17522.5.112.0/2122.5.112.1 to 22.5.119.25422.5.119.2552,046
17622.5.120.0/2122.5.120.1 to 22.5.127.25422.5.127.2552,046
17722.5.128.0/2122.5.128.1 to 22.5.135.25422.5.135.2552,046
17822.5.136.0/2122.5.136.1 to 22.5.143.25422.5.143.2552,046
17922.5.144.0/2122.5.144.1 to 22.5.151.25422.5.151.2552,046
18022.5.152.0/2122.5.152.1 to 22.5.159.25422.5.159.2552,046
18122.5.160.0/2122.5.160.1 to 22.5.167.25422.5.167.2552,046
18222.5.168.0/2122.5.168.1 to 22.5.175.25422.5.175.2552,046
18322.5.176.0/2122.5.176.1 to 22.5.183.25422.5.183.2552,046
18422.5.184.0/2122.5.184.1 to 22.5.191.25422.5.191.2552,046
18522.5.192.0/2122.5.192.1 to 22.5.199.25422.5.199.2552,046
18622.5.200.0/2122.5.200.1 to 22.5.207.25422.5.207.2552,046
18722.5.208.0/2122.5.208.1 to 22.5.215.25422.5.215.2552,046
18822.5.216.0/2122.5.216.1 to 22.5.223.25422.5.223.2552,046
18922.5.224.0/2122.5.224.1 to 22.5.231.25422.5.231.2552,046
19022.5.232.0/2122.5.232.1 to 22.5.239.25422.5.239.2552,046
19122.5.240.0/2122.5.240.1 to 22.5.247.25422.5.247.2552,046
19222.5.248.0/2122.5.248.1 to 22.5.255.25422.5.255.2552,046
19322.6.0.0/2122.6.0.1 to 22.6.7.25422.6.7.2552,046
19422.6.8.0/2122.6.8.1 to 22.6.15.25422.6.15.2552,046
19522.6.16.0/2122.6.16.1 to 22.6.23.25422.6.23.2552,046
19622.6.24.0/2122.6.24.1 to 22.6.31.25422.6.31.2552,046
19722.6.32.0/2122.6.32.1 to 22.6.39.25422.6.39.2552,046
19822.6.40.0/2122.6.40.1 to 22.6.47.25422.6.47.2552,046
19922.6.48.0/2122.6.48.1 to 22.6.55.25422.6.55.2552,046
20022.6.56.0/2122.6.56.1 to 22.6.63.25422.6.63.2552,046
20122.6.64.0/2122.6.64.1 to 22.6.71.25422.6.71.2552,046
20222.6.72.0/2122.6.72.1 to 22.6.79.25422.6.79.2552,046
20322.6.80.0/2122.6.80.1 to 22.6.87.25422.6.87.2552,046
20422.6.88.0/2122.6.88.1 to 22.6.95.25422.6.95.2552,046
20522.6.96.0/2122.6.96.1 to 22.6.103.25422.6.103.2552,046
20622.6.104.0/2122.6.104.1 to 22.6.111.25422.6.111.2552,046
20722.6.112.0/2122.6.112.1 to 22.6.119.25422.6.119.2552,046
20822.6.120.0/2122.6.120.1 to 22.6.127.25422.6.127.2552,046
20922.6.128.0/2122.6.128.1 to 22.6.135.25422.6.135.2552,046
21022.6.136.0/2122.6.136.1 to 22.6.143.25422.6.143.2552,046
21122.6.144.0/2122.6.144.1 to 22.6.151.25422.6.151.2552,046
21222.6.152.0/2122.6.152.1 to 22.6.159.25422.6.159.2552,046
21322.6.160.0/2122.6.160.1 to 22.6.167.25422.6.167.2552,046
21422.6.168.0/2122.6.168.1 to 22.6.175.25422.6.175.2552,046
21522.6.176.0/2122.6.176.1 to 22.6.183.25422.6.183.2552,046
21622.6.184.0/2122.6.184.1 to 22.6.191.25422.6.191.2552,046
21722.6.192.0/2122.6.192.1 to 22.6.199.25422.6.199.2552,046
21822.6.200.0/2122.6.200.1 to 22.6.207.25422.6.207.2552,046
21922.6.208.0/2122.6.208.1 to 22.6.215.25422.6.215.2552,046
22022.6.216.0/2122.6.216.1 to 22.6.223.25422.6.223.2552,046
22122.6.224.0/2122.6.224.1 to 22.6.231.25422.6.231.2552,046
22222.6.232.0/2122.6.232.1 to 22.6.239.25422.6.239.2552,046
22322.6.240.0/2122.6.240.1 to 22.6.247.25422.6.247.2552,046
22422.6.248.0/2122.6.248.1 to 22.6.255.25422.6.255.2552,046
22522.7.0.0/2122.7.0.1 to 22.7.7.25422.7.7.2552,046
22622.7.8.0/2122.7.8.1 to 22.7.15.25422.7.15.2552,046
22722.7.16.0/2122.7.16.1 to 22.7.23.25422.7.23.2552,046
22822.7.24.0/2122.7.24.1 to 22.7.31.25422.7.31.2552,046
22922.7.32.0/2122.7.32.1 to 22.7.39.25422.7.39.2552,046
23022.7.40.0/2122.7.40.1 to 22.7.47.25422.7.47.2552,046
23122.7.48.0/2122.7.48.1 to 22.7.55.25422.7.55.2552,046
23222.7.56.0/2122.7.56.1 to 22.7.63.25422.7.63.2552,046
23322.7.64.0/2122.7.64.1 to 22.7.71.25422.7.71.2552,046
23422.7.72.0/2122.7.72.1 to 22.7.79.25422.7.79.2552,046
23522.7.80.0/2122.7.80.1 to 22.7.87.25422.7.87.2552,046
23622.7.88.0/2122.7.88.1 to 22.7.95.25422.7.95.2552,046
23722.7.96.0/2122.7.96.1 to 22.7.103.25422.7.103.2552,046
23822.7.104.0/2122.7.104.1 to 22.7.111.25422.7.111.2552,046
23922.7.112.0/2122.7.112.1 to 22.7.119.25422.7.119.2552,046
24022.7.120.0/2122.7.120.1 to 22.7.127.25422.7.127.2552,046
24122.7.128.0/2122.7.128.1 to 22.7.135.25422.7.135.2552,046
24222.7.136.0/2122.7.136.1 to 22.7.143.25422.7.143.2552,046
24322.7.144.0/2122.7.144.1 to 22.7.151.25422.7.151.2552,046
24422.7.152.0/2122.7.152.1 to 22.7.159.25422.7.159.2552,046
24522.7.160.0/2122.7.160.1 to 22.7.167.25422.7.167.2552,046
24622.7.168.0/2122.7.168.1 to 22.7.175.25422.7.175.2552,046
24722.7.176.0/2122.7.176.1 to 22.7.183.25422.7.183.2552,046
24822.7.184.0/2122.7.184.1 to 22.7.191.25422.7.191.2552,046
24922.7.192.0/2122.7.192.1 to 22.7.199.25422.7.199.2552,046
25022.7.200.0/2122.7.200.1 to 22.7.207.25422.7.207.2552,046
25122.7.208.0/2122.7.208.1 to 22.7.215.25422.7.215.2552,046
25222.7.216.0/2122.7.216.1 to 22.7.223.25422.7.223.2552,046
25322.7.224.0/2122.7.224.1 to 22.7.231.25422.7.231.2552,046
25422.7.232.0/2122.7.232.1 to 22.7.239.25422.7.239.2552,046
25522.7.240.0/2122.7.240.1 to 22.7.247.25422.7.247.2552,046
25622.7.248.0/2122.7.248.1 to 22.7.255.25422.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses